<?php if (!defined('FOUNDATION_UI')) exit;

if (!isset($steps)) $steps = [];
if (!isset($version)) $version = null;

$version = true;

$response = Foundation\Response::version(
    $version,
    function () use ($steps) {
        foreach ($steps as $step)
            $this['content.' . $step] = foundation_output($step);
        $this['steps'] = $steps;
        $this['render'] = true;
    }
);

if (!$steps = $response['steps'] or !count($steps))
    return;

$indexKey = is_admin() ? '#index' : 'index';
$index = $response->default($indexKey, 0);

if (!is_numeric($index) or !isset($steps[$index]))
    $index = $response->set($indexKey, 0);

$step = isset($steps[$index]) ? $steps[$index] : '';

if (!$step) $step = ' ';

if (!$output = $response['content.' . $step]) {
    // $output = foundation_output($step);
}

$state = $response->merge(
    'state',
    [
        'index' => $index,
        'form_step' => sanitize_title($step),
        'form_steps' => count($steps),
    ],
    false
);

if (!is_admin()) : ?>
    <form prefix="<?= sanitize_title($step) ?>" id="form">
        <?= $output ? $output : '' ?>
        <?php if ($index) : ?>
            <button on-click="api.post(back: true)">Back</button>
        <?php endif ?>
        <button on-click="submit">Next</button>
    </form>
<?php

else : ?>
    <div>
        <button-group style="float: right">
            <?php if ($index) : ?>
                <button on-click="api.post(back: true)">Back</button>
            <?php endif ?>
            <button on-click="post(next: true)">Next</button>
        </button-group>
        <h3><?= $step ?></h3>
    </div>
    <form prefix="<?= sanitize_title($step) ?>" id="form">
        <?= $output ? $output : '' ?>
    </form>
    <button intent="primary" on-click="submit">
        Save Changes
    </button>
<?php

endif;

return [
    'GET?reset' => function () use ($response, $indexKey) {
        unset($response[$indexKey]);
        return true;
    },
    'POST?back' => function () use ($response, $indexKey) {
        $response->decr($indexKey);
        return true;
    },
    'POST?next' => function () use ($response, $indexKey) {
        $response->incr($indexKey);
        return true;
    },
    'POST' => function () use ($response, $indexKey) {
        $response->merge('state', PandaRoseUI::$in);
        $response->incr($indexKey);
        $response->save();

        return true;
    },
    'state' => $state,
];
